import { registerExtension } from 'vscode/extensions';

var manifest = {name:"powershell",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"*"},contributes:{languages:[{id:"powershell",extensions:[".ps1",".psm1",".psd1",".pssc",".psrc"],aliases:["PowerShell","powershell","ps","ps1"],firstLine:"^#!\\s*/.*\\bpwsh\\b",configuration:"./language-configuration.json"}],grammars:[{language:"powershell",scopeName:"source.powershell",path:"./syntaxes/powershell.tmLanguage.json"}]},scripts:{"update-grammar":"node ../node_modules/vscode-grammar-updater/bin PowerShell/EditorSyntax PowerShellSyntax.tmLanguage ./syntaxes/powershell.tmLanguage.json"},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest);
registerFileUrl('./syntaxes/powershell.tmLanguage.json', new URL('./powershell.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('./language-configuration.json', new URL('./language-configuration.json', import.meta.url).toString(), 'application/json');
registerFileUrl('package.nls.json', new URL('./package.nls.json', import.meta.url).toString(), 'application/json');

export { whenReady };
